Remove the autocomplete_selector.jsx out of the widgets library

Description

The AutocompleteSelector components is too complex (for now) to be part of the widgets library, so we want to move it back to the components folder.

QA Test Steps

The autocomplete selector should still work in the slack attachments and in the interactive dialog.

Probably Joram can help testing this.
No testing required.

Status

Mana

2

Assignee

Jesús Espino

Reporter

Jesús Espino

Fix versions

Mattermost Team

Platform

Sprint

None

Labels

None

GitHub Issue

None

QA Assignee

Lindy Isherwood